package com.cesgroup.common.utils;

/**
 * web 层返回信息枚举
 * @author qiaokun
 * @2018/08/13
 */
public enum ApiResponseEnum {
    /**
     * API调用成功返回
     */
    SUCCESS(10000,"请求成功"),
    DATA_EXIST(10101,"数据库中已存在该记录"),
    /**
     * 系统错误
     */
    SYS_ERROR(10103, "系统错误"),
    IP_ERROR(10104, "ip地址格式错误"),

    /**
     * 参数错误
     */
    PARAM_ERROR(10201,"参数错误，访问失败"),
    REDELEGATION_ERROR(10202, "系统错误，请重新授权"),
    AUTHCODE_ERROR(10203, "验证码错误，请重新输入"),
    NOPEAPLE_ERROR(10204, "查无此人，请重新输入或联系管理员"),
    AUTHORIZE_ERROR(10205, "授权失败，请重新登录"),
    TIMELESS_ERROR(10206, "请求频繁"),
    CODEOUT_ERROR(102007, "验证码过期"),
    EXCHANGED_ERROR(10208, "无兑换资格"),
    INTEGRAL_ERROR(10209, "可用积分不足"),
    GOODSNUM_ERROR(10269, "库存不足"),
    SIGN_ERROR(10270,"签到失败"),
    AUTH_ERROR(10271,"token验证失败"),
    OVERTIME(10272,"token超时"),
    NOT_FIRST_BAODAO_ERROR(10273, "已报到党员请进入二次报到页面"),
    ORG_NO_REGIST(10274, "所在党组织尚未报到"),
    PHONE_REPEAT_ERROR(10275, "手机号重复，请更换手机号操作或联系管理员进行修改"),
    OPENID_REPEAT_ERROR(10276, "系统检测到存在账号风险，请勿使用过他人手机进行绑定"),
    OPENID_GET_ERROR(10277, "系统维护中，请等待微信公众号开放入口"),
    ;

    private int errCode = 0;

    private String errMsg;


    private ApiResponseEnum(int errCode, String errMsg) {
       this.errCode = errCode;
       this.errMsg = errMsg;
    }

    public int getErrCode() {
        return errCode;
    }

    public void setErrCode(int errCode) {
        this.errCode = errCode;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

}
