package com.cesgroup.common.utils;

import com.github.pagehelper.Page;

/**
 * web层统一返回工具类
 */
public class ApiResultUtil {

    private ApiResultUtil(){}

    /**
     * 获取请求成功响应的ApiResponse
     * @param data
     * @return
     */
    public static ApiResponse getApiResponse(Object data) {
        return getApiResponse(data, ApiResponseEnum.SUCCESS );
    }
    public static ApiResponse getApiResponse(Object data,int code,String msg) {
        ApiResponse dataApiResult = new ApiResponse();
        dataApiResult.setData(data);
        dataApiResult.setErrCode(code);
        dataApiResult.setErrMsg(msg);
        return dataApiResult;
    }
    public static ApiResponse getApiResponse(Object data, ApiResponseEnum apiResponseEnum) {
        ApiResponse dataApiResult = new ApiResponse();
        dataApiResult.setData(data);
        dataApiResult.setErrCode(apiResponseEnum.getErrCode());
        dataApiResult.setErrMsg(apiResponseEnum.getErrMsg());
        return dataApiResult;
    }

    public static JsonDataGrid getApiResponse(Page page,String msg){
        JsonDataGrid j=new JsonDataGrid();
        j.setMsg(msg);
        j.setRows(page.getResult());
        j.setTotal(page.getTotal());
        j.setPageCount(page.getPages());
        j.setPageIndex(page.getPageNum());
        return j;
    }
    public static JsonDataGrid getApiResponse(String state,String msg){
        JsonDataGrid j=new JsonDataGrid();
        j.setMsg(msg);
        j.setState(state);
        return j;
    }


}
